STDBUF(1)

BEZEICHNUNG
stdbuf - BEFEHL mit veränderten Pufferaktionen der Standardein- und ausgabe ausführen

ÜBERSICHT
stdbuf OPTION… OPTION

BESCHREIBUNG

BEFEHL mit veränderten Pufferaktionen der Standardein- und ausgabe ausführen

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-i, --input=MODUS
    Pufferung des Datenstroms auf der Standardeingabe anpassen

-o, --output=MODUS
    Pufferung des Datenstroms auf der Standardausgabe anpassen

-e, --error=MODUS
    Pufferung des Datenstroms auf der Standardfehlerausgabe anpassen

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Falls der MODUS »L« ist, wird der entsprechende Datenstrom zeilenweise gepuffert. Diese Option ist mit der Standardeingabe ungültig.

Falls der MODUS »0« ist, wird der entsprechende Datenstrom ungepuffert sein.

Andernfalls ist der MODUS eine Zahl, die von einer der folgenden Angaben gefolgt werden kann: KB 1000, K 1024, MB 1000*1000, M 1024*1024 und so weiter für G, T, P, E, Z, Y, R, Q. Binäre Präfixe können ebenfalls verwendet werden: KiB=K, MiB=M usw. In diesem Fall wird der entsprechende Datenstrom vollständig mit der Puffergröße gepuffert, die auf MODUS Byte gesetzt ist.

ANMERKUNG: Falls BEFEHL die Pufferung seiner Standardein- und ausgaben anpasst (»Tee« tut dies beispielsweise), dann wird dies die entsprechenden Änderungen von »Stdbuf« überschreiben. Außerdem werden einige Filter (wie »Dd« und »Cat« etc.) keine Datenströme zur Ein- und Ausgabe benutzen und sind folglich nicht von den »Stdbuf«-Einstellungen betroffen.

  Rückgabewert:

125 falls der Befehl stdbuf selbst fehlschlägt

126 falls der BEFEHL zwar gefunden wurde, aber nicht aufgerufen werden kann

127 falls der BEFEHL nicht gefunden wurde

-   ansonsten der Rückgabewert des BEFEHLs

BEISPIELE
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Dies wird sofort einzigartige Einträge aus »access.log« anzeigen.

FEHLER
Auf GLIBC-Plattformen wird die Angabe der Puffergröße, z.B. beim Benutzen des vollständig gepufferten Modus, zu einer undefinierten Aktion führen.

AUTOR
Geschrieben von Pádraig Brady.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/stdbuf>
oder lokal verfügbar mit: info '(coreutils) stdbuf invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Chris Leick <c.leick@vollbio.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).